/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @author obper
 */
@Entity
@Table(name = "vReporte_recibos")
@XmlRootElement
@NamedQueries({
        @NamedQuery(name = "VReporterecibos.findAll", query = "SELECT v FROM VReporterecibos v"),
        @NamedQuery(name = "VReporterecibos.findById", query = "SELECT v FROM VReporterecibos v WHERE v.id = :id"),
        @NamedQuery(name = "VReporterecibos.findByAbonoCodigo", query = "SELECT v FROM VReporterecibos v WHERE v.abonoCodigo = :abonoCodigo"),
        @NamedQuery(name = "VReporterecibos.findByAbonoTipo", query = "SELECT v FROM VReporterecibos v WHERE v.abonoTipo = :abonoTipo"),
        @NamedQuery(name = "VReporterecibos.findByConsultorCodigo", query = "SELECT v FROM VReporterecibos v WHERE v.consultorCodigo = :consultorCodigo"),
        @NamedQuery(name = "VReporterecibos.findByNombreConsultor", query = "SELECT v FROM VReporterecibos v WHERE v.nombreConsultor = :nombreConsultor"),
        @NamedQuery(name = "VReporterecibos.findByAbonoFecha", query = "SELECT v FROM VReporterecibos v WHERE v.abonoFecha = :abonoFecha"),
        @NamedQuery(name = "VReporterecibos.findByAbonoValor", query = "SELECT v FROM VReporterecibos v WHERE v.abonoValor = :abonoValor"),
        @NamedQuery(name = "VReporterecibos.findByValorDetalle", query = "SELECT v FROM VReporterecibos v WHERE v.valorDetalle = :valorDetalle"),
        @NamedQuery(name = "VReporterecibos.findByDiferiencia", query = "SELECT v FROM VReporterecibos v WHERE v.diferiencia = :diferiencia"),
        @NamedQuery(name = "VReporterecibos.findByPex", query = "SELECT v FROM VReporterecibos v WHERE v.pex = :pex"),
        @NamedQuery(name = "VReporterecibos.findByEstado", query = "SELECT v FROM VReporterecibos v WHERE v.estado = :estado"),
        @NamedQuery(name = "VReporterecibos.findByCodigoBanco", query = "SELECT v FROM VReporterecibos v WHERE v.codigoBanco = :codigoBanco"),
        @NamedQuery(name = "VReporterecibos.findByBanco", query = "SELECT v FROM VReporterecibos v WHERE v.banco = :banco")})
public class VReporterecibos implements Serializable {

    private static final long serialVersionUID = 1L;
    @Size(max = 7)
    @Column(name = "id")
    @Id
    private String id;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 6)
    @Column(name = "abono_codigo")
    private String abonoCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 2)
    @Column(name = "abono_tipo")
    private String abonoTipo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 6)
    @Column(name = "consultor_codigo")
    private String consultorCodigo;
    @Size(max = 100)
    @Column(name = "nombre_consultor")
    private String nombreConsultor;
    @Basic(optional = false)
    @NotNull
    @Column(name = "abono_fecha")
    @Temporal(TemporalType.DATE)
    private Date abonoFecha;
    // @Max(value=?)  @Min(value=?)//if you know range of your decimal fields consider using these annotations to enforce field validation
    @Basic(optional = false)
    @NotNull
    @Column(name = "abono_valor")
    private BigDecimal abonoValor;
    @Column(name = "valor_detalle")
    private BigDecimal valorDetalle;
    @Column(name = "diferiencia")
    private BigDecimal diferiencia;
    @Column(name = "pex")
    private BigDecimal pex;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 7)
    @Column(name = "estado")
    private String estado;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 2)
    @Column(name = "codigo_banco")
    private String codigoBanco;
    @Size(max = 30)
    @Column(name = "banco")
    private String banco;

    public VReporterecibos() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getAbonoCodigo() {
        return abonoCodigo;
    }

    public void setAbonoCodigo(String abonoCodigo) {
        this.abonoCodigo = abonoCodigo;
    }

    public String getAbonoTipo() {
        return abonoTipo;
    }

    public void setAbonoTipo(String abonoTipo) {
        this.abonoTipo = abonoTipo;
    }

    public String getConsultorCodigo() {
        return consultorCodigo;
    }

    public void setConsultorCodigo(String consultorCodigo) {
        this.consultorCodigo = consultorCodigo;
    }

    public String getNombreConsultor() {
        return nombreConsultor;
    }

    public void setNombreConsultor(String nombreConsultor) {
        this.nombreConsultor = nombreConsultor;
    }

    public Date getAbonoFecha() {
        return abonoFecha;
    }

    public void setAbonoFecha(Date abonoFecha) {
        this.abonoFecha = abonoFecha;
    }

    public BigDecimal getAbonoValor() {
        return abonoValor;
    }

    public void setAbonoValor(BigDecimal abonoValor) {
        this.abonoValor = abonoValor;
    }

    public BigDecimal getValorDetalle() {
        return valorDetalle;
    }

    public void setValorDetalle(BigDecimal valorDetalle) {
        this.valorDetalle = valorDetalle;
    }

    public BigDecimal getDiferiencia() {
        return diferiencia;
    }

    public void setDiferiencia(BigDecimal diferiencia) {
        this.diferiencia = diferiencia;
    }

    public BigDecimal getPex() {
        return pex;
    }

    public void setPex(BigDecimal pex) {
        this.pex = pex;
    }

    public String getEstado() {
        return estado;
    }

    public void setEstado(String estado) {
        this.estado = estado;
    }

    public String getCodigoBanco() {
        return codigoBanco;
    }

    public void setCodigoBanco(String codigoBanco) {
        this.codigoBanco = codigoBanco;
    }

    public String getBanco() {
        return banco;
    }

    public void setBanco(String banco) {
        this.banco = banco;
    }

}
